package br.com.ages.mutiraodobemback.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.lang.NonNull;

import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskEntity {

    @NonNull
    private String id;
    @NonNull
    private String description;
    @NonNull
    private UserEntity owner;
    private UserEntity volunteer;
    @NonNull
    private LocalDateTime createDate;
    private LocalDateTime endDate;
}
