package br.com.ages.mutiraodobemback.service.user;

import br.com.ages.mutiraodobemback.domain.UserEntity;
import br.com.ages.mutiraodobemback.dto.UserRequestDTO;
import br.com.ages.mutiraodobemback.dto.UserResponseDTO;
import br.com.ages.mutiraodobemback.util.exceptions.CustomIllegalArgumentException;

import java.util.List;

public interface IUserService {

    UserResponseDTO save(UserRequestDTO user);

    List<UserResponseDTO> findAll();

    UserEntity getLoggedUser();

    UserEntity findByEmail(String email);

}
