package br.com.ages.mutiraodobemback.service.event;

import br.com.ages.mutiraodobemback.domain.EventEntity;
import br.com.ages.mutiraodobemback.domain.TaskEntity;
import br.com.ages.mutiraodobemback.dto.EventDetailsResponseDTO;
import br.com.ages.mutiraodobemback.dto.EventReponseListDTO;
import br.com.ages.mutiraodobemback.dto.EventRequestDTO;
import br.com.ages.mutiraodobemback.dto.EventResponseDTO;

import java.util.List;

public interface IEventService {

    EventResponseDTO save(EventRequestDTO cause);

    EventEntity save(EventEntity event);

    EventResponseDTO update(EventRequestDTO cause);

    List<EventRequestDTO> findAll();

    List<EventReponseListDTO> findAllActive();

    EventDetailsResponseDTO findById(String id);

    EventDetailsResponseDTO participateEvent(String id);

    EventDetailsResponseDTO findEventDetails(String id);

    EventDetailsResponseDTO cancelParticipate(String id);

    EventEntity findEntityById(String id);

}
